require 'puppet/face'
require 'puppet/cloudpack/vmware'

Puppet::Face.define(:node_vmware, '0.0.1') do
  action :start do
    summary "Start a Virtual Machine"
    description <<-'EOT'
      This action starts a stopped Virtual Machine.  This is also known as
      powering on the Virtual Machine.
    EOT

    returns 'Hash containing the status'

    examples <<-'EOT'
      $ puppet node_vmware start /Datacenters/MyDC/vm/jefftest
    EOT

    arguments "<path>"

    Puppet::CloudPack::VMware.add_timeout_option(self)

    when_invoked do |path, options|
      options[:path] = path
      Puppet::CloudPack::VMware.start(options)
    end
  end
end
