= Readme for acceptance test suite

This is the Capybara acceptance test suite for the Live Management app. At
this time the focus is on running headless with the webkit adapter as it
is faster and requires less setup than other approaches. One goal is to
have the suite also run using the selenium adapter for more rubust coverage.

== Instructions

NOTE: There are issues when running the acceptance specs against the Sinatra
endpoint versus the Rails stack and included Live Management metal/end point.
At this point we're taking the approach that running tests are higher priority
over debugging the execution of the specs from within Live Management itself.
Once the suite is more fleshed out we'll revisit running from within the Live
Management app.

The Live Management spec/acceptance suite requires a symlink (or copy) inside the
Puppet Dashboard repo. So from inside the puppet-dashboard repo,

    ln -s <full-path>/live-management/acceptance spec/acceptance

Then in order to run, inside the Puppet Dashboard repo, 

    rspec spec/acceptance 

executes the acceptance suite.

== Installation

=== Requirements

* capybara gem
* capybara-webkit gem
* QT to be able to build and install the capybara-webkit gem

== References

* https://github.com/jnicklas/capybara
* https://github.com/thoughtbot/capybara-webkit
* https://github.com/thoughtbot/capybara-webkit/wiki/Installing-QT

== TODO

* Decide on variation that should be cloned (eg, /usr/bin -> /usr/ksh)
* Use emcee to seed the fixtures file with variation
* What other resources should be a focus for acceptance
* Build rake tasks:
** to setup the symlink in the Puppet Dashboard rep
** to seed the fixtures file
** to execute the acceptance suite
