require 'mocha'
require 'dalli'

# lets us easily require our sinatra apps
$LOAD_PATH.unshift File.expand_path("../../app/metal", __FILE__)

def fixture_location(path)
  File.join(File.dirname(__FILE__), 'fixtures', path)
end

def fake_results
  YAML.load(File.read(fixture_location('mc-collective-agent-inventory.yml')))
end

def fake_interfaces
  YAML.load(File.read(fixture_location('action_interfaces.yml')))
end

# Memcached is basically a hash, so we'll use one for testing
class FakeDalli
  def initialize
    @fake_store = {}
  end

  def get(key)
    @fake_store[key]
  end

  def set(key, value)
    @fake_store[key] = value
  end

  def delete(key)
    @fake_store.delete(key)
  end
end

RSpec.configure do |config|
  config.mock_with :mocha

  config.before :each do
    Dalli::Client.stubs(:new).returns(FakeDalli.new)
  end
end
