class PluginPuppetBaselineAllowGroupDiff < ActiveRecord::Migration
  def self.up
    add_column :baseline_differences, :id, :primary_key
    add_column :baseline_differences, :node_baseline_id, :integer

    BaselineDifference.all.each do |diff|
      report = Report.find_by_id(diff.report_id)
      node_baseline = NodeBaseline.find_by_baseline_id_and_date(diff.baseline_id, report.time.to_date)
      next unless node_baseline
      diff.node_baseline_id = node_baseline.id
      diff.save!
    end

    remove_column :baseline_differences, :report_id
    remove_column :baseline_differences, :baseline_id

    add_column :node_baselines, :reference_node_id, :integer

    NodeBaseline.update_all('reference_node_id = node_id')
  end

  def self.down
    raise ActiveRecord::IrreversibleMigration
  end
end
